
#ifndef _CRC_H_
#define _CRC_H_

#include "s6j3360drv.h"

typedef enum
{
  CRC16 = 0,
  CRC32,
}CRC_Mode_en_t;

typedef enum
{
  CRC_Big_Endian = 0,
  CRC_Little_Endian,
}CRC_Endian_en_t;


extern void CRC_Init(CRC_Mode_en_t enMode, CRC_Endian_en_t enEndianIn, CRC_Endian_en_t enEndianOut);
extern void CRC_Write(uint32_t u32Data);
extern uint32_t CRC_Read(void);

#endif